"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Accessory = void 0;
var react_1 = __importDefault(require("react"));
var react_native_1 = require("react-native");
var Image_1 = require("../Image");
var Icon_1 = require("../Icon");
var helpers_1 = require("../helpers");
var Accessory = function (_a) {
    var _b = _a.size, size = _b === void 0 ? 10 : _b, style = _a.style, _c = _a.underlayColor, underlayColor = _c === void 0 ? '#000' : _c, onPress = _a.onPress, onLongPress = _a.onLongPress, onPressIn = _a.onPressIn, onPressOut = _a.onPressOut, source = _a.source, pressableProps = _a.pressableProps, rest = __rest(_a, ["size", "style", "underlayColor", "onPress", "onLongPress", "onPressIn", "onPressOut", "source", "pressableProps"]);
    return (react_1.default.createElement(react_native_1.Pressable, __assign({}, __assign({ android_ripple: (onPress || onLongPress) && (0, helpers_1.androidRipple)(underlayColor) }, pressableProps), { style: [
            styles.accessory,
            {
                width: size,
                height: size,
                borderRadius: size / 2,
            },
            style,
        ] }, { onPressOut: onPressOut, onPressIn: onPressIn, onPress: onPress, onLongPress: onLongPress }),
        react_1.default.createElement(react_native_1.View, null, source ? (react_1.default.createElement(Image_1.Image, __assign({ source: source, style: {
                width: size,
                height: size,
                borderRadius: size / 2,
            } }, rest))) : (react_1.default.createElement(Icon_1.Icon, __assign({ name: "mode-edit", type: "material", color: "#fff", size: size * 0.8 }, rest))))));
};
exports.Accessory = Accessory;
var styles = react_native_1.StyleSheet.create({
    accessory: __assign({ position: 'absolute', bottom: 0, right: 0, alignItems: 'center', justifyContent: 'center', backgroundColor: '#aaa' }, react_native_1.Platform.select({
        android: {
            elevation: 1,
        },
        default: {
            shadowColor: '#000',
            shadowOffset: { width: 1, height: 1 },
            shadowRadius: 2,
            shadowOpacity: 0.5,
        },
    })),
});
exports.Accessory.displayName = 'Avatar.Accessory';
