"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CardFeaturedTitle = void 0;
var react_1 = __importDefault(require("react"));
var react_native_1 = require("react-native");
var normalizeText_1 = __importDefault(require("../helpers/normalizeText"));
var helpers_1 = require("../helpers");
var Text_1 = require("../Text");
var helpers_2 = require("../helpers");
var CardFeaturedTitle = function (_a) {
    var _b;
    var _c = _a.theme, theme = _c === void 0 ? helpers_2.defaultTheme : _c, style = _a.style, rest = __rest(_a, ["theme", "style"]);
    return (react_1.default.createElement(Text_1.Text, __assign({ style: react_native_1.StyleSheet.flatten([
            __assign({ fontSize: (0, normalizeText_1.default)(18), marginBottom: 8, color: (_b = theme === null || theme === void 0 ? void 0 : theme.colors) === null || _b === void 0 ? void 0 : _b.white }, react_native_1.Platform.select({
                android: __assign({}, helpers_1.fonts.android.black),
                default: {
                    fontWeight: '800',
                },
            })),
            style,
        ]) }, rest)));
};
exports.CardFeaturedTitle = CardFeaturedTitle;
exports.CardFeaturedTitle.displayName = 'Card.FeaturedTitle';
