"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CheckBoxIcon = void 0;
var react_1 = __importDefault(require("react"));
var getIconType_1 = __importDefault(require("../../helpers/getIconType"));
var CheckBoxIcon = function (_a) {
    var checked = _a.checked, onIconPress = _a.onIconPress, onLongIconPress = _a.onLongIconPress, _b = _a.size, size = _b === void 0 ? 24 : _b, _c = _a.checkedIcon, checkedIcon = _c === void 0 ? 'check-square-o' : _c, _d = _a.uncheckedIcon, uncheckedIcon = _d === void 0 ? 'square-o' : _d, iconType = _a.iconType, checkedColor = _a.checkedColor, _e = _a.uncheckedColor, uncheckedColor = _e === void 0 ? '#bfbfbf' : _e;
    if (checked && react_1.default.isValidElement(checkedIcon)) {
        return checkedIcon;
    }
    if (!checked && react_1.default.isValidElement(uncheckedIcon)) {
        return uncheckedIcon;
    }
    var VectorIcon = iconType
        ? (0, getIconType_1.default)(iconType)
        : (0, getIconType_1.default)('font-awesome');
    return (react_1.default.createElement(VectorIcon, { testID: "RNE__Checkbox__Icon", color: checked ? checkedColor : uncheckedColor, name: checked ? checkedIcon : uncheckedIcon, size: size || 24, style: { minWidth: size || 24 }, onLongPress: onLongIconPress, onPress: onIconPress }));
};
exports.CheckBoxIcon = CheckBoxIcon;
