"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DialogButton = void 0;
var react_1 = __importDefault(require("react"));
var react_native_1 = require("react-native");
var Button_1 = require("../Button");
var DialogButton = function (_a) {
    var titleStyle = _a.titleStyle, rest = __rest(_a, ["titleStyle"]);
    return (react_1.default.createElement(Button_1.Button, __assign({ style: { marginLeft: 5 }, titleStyle: react_native_1.StyleSheet.flatten([styles.buttonTitle, titleStyle]), containerStyle: {
            width: 'auto',
        }, testID: "Dialog__Button" }, rest)));
};
exports.DialogButton = DialogButton;
exports.DialogButton.defaultProps = {
    title: 'ACTION',
    type: 'clear',
};
var styles = react_native_1.StyleSheet.create({
    buttonTitle: {
        fontSize: 15,
        fontWeight: '500',
    },
});
exports.DialogButton.displayName = 'Dialog.Button';
