"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DialogLoading = void 0;
var react_1 = __importDefault(require("react"));
var react_native_1 = require("react-native");
var helpers_1 = require("../helpers");
var DialogLoading = function (_a) {
    var _b, _c, _d;
    var loadingStyle = _a.loadingStyle, loadingProps = _a.loadingProps, _e = _a.theme, theme = _e === void 0 ? helpers_1.defaultTheme : _e;
    return (react_1.default.createElement(react_native_1.View, { style: styles.loadingView },
        react_1.default.createElement(react_native_1.ActivityIndicator, __assign({ style: react_native_1.StyleSheet.flatten([styles.loading, loadingStyle]), color: (_b = loadingProps === null || loadingProps === void 0 ? void 0 : loadingProps.color) !== null && _b !== void 0 ? _b : (_c = theme === null || theme === void 0 ? void 0 : theme.colors) === null || _c === void 0 ? void 0 : _c.primary, size: (_d = loadingProps === null || loadingProps === void 0 ? void 0 : loadingProps.size) !== null && _d !== void 0 ? _d : 'large', testID: "Dialog__Loading" }, loadingProps))));
};
exports.DialogLoading = DialogLoading;
exports.DialogLoading.defaultProps = {
    loadingProps: { size: 'large' },
};
var styles = react_native_1.StyleSheet.create({
    loading: {
        marginVertical: 20,
    },
    loadingView: {
        flexDirection: 'row',
        justifyContent: 'center',
        alignItems: 'center',
    },
});
exports.DialogLoading.displayName = 'Dialog.Loading';
