"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Text = void 0;
var react_1 = __importDefault(require("react"));
var react_native_1 = require("react-native");
var helpers_1 = require("../helpers");
var helpers_2 = require("../helpers");
var normalizeText_1 = __importDefault(require("../helpers/normalizeText"));
var Text = function (_a) {
    var _b;
    var _c = _a.style, style = _c === void 0 ? {} : _c, _d = _a.h1, h1 = _d === void 0 ? false : _d, _e = _a.h2, h2 = _e === void 0 ? false : _e, _f = _a.h3, h3 = _f === void 0 ? false : _f, _g = _a.h4, h4 = _g === void 0 ? false : _g, _h = _a.h1Style, h1Style = _h === void 0 ? {} : _h, _j = _a.h2Style, h2Style = _j === void 0 ? {} : _j, _k = _a.h3Style, h3Style = _k === void 0 ? {} : _k, _l = _a.h4Style, h4Style = _l === void 0 ? {} : _l, _m = _a.children, children = _m === void 0 ? '' : _m, _o = _a.theme, theme = _o === void 0 ? helpers_2.defaultTheme : _o, rest = __rest(_a, ["style", "h1", "h2", "h3", "h4", "h1Style", "h2Style", "h3Style", "h4Style", "children", "theme"]);
    return (react_1.default.createElement(react_native_1.Text, __assign({ accessibilityRole: "text", style: react_native_1.StyleSheet.flatten([
            __assign(__assign({}, react_native_1.Platform.select({
                android: __assign({}, helpers_1.fonts.android.regular),
            })), { color: (_b = theme === null || theme === void 0 ? void 0 : theme.colors) === null || _b === void 0 ? void 0 : _b.black }),
            style,
            (h1 || h2 || h3 || h4) && styles.bold,
            h1 && react_native_1.StyleSheet.flatten([{ fontSize: (0, normalizeText_1.default)(40) }, h1Style]),
            h2 && react_native_1.StyleSheet.flatten([{ fontSize: (0, normalizeText_1.default)(34) }, h2Style]),
            h3 && react_native_1.StyleSheet.flatten([{ fontSize: (0, normalizeText_1.default)(28) }, h3Style]),
            h4 && react_native_1.StyleSheet.flatten([{ fontSize: (0, normalizeText_1.default)(22) }, h4Style]),
        ]) }, (0, helpers_2.patchWebProps)(rest)), children));
};
exports.Text = Text;
var styles = react_native_1.StyleSheet.create({
    bold: __assign({}, react_native_1.Platform.select({
        android: __assign({}, helpers_1.fonts.android.bold),
    })),
});
exports.Text.displayName = 'Text';
