"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Card = void 0;
var Card_1 = require("./Card");
var Card_Divider_1 = require("./Card.Divider");
var Card_FeaturedSubtitle_1 = require("./Card.FeaturedSubtitle");
var Card_FeaturedTitle_1 = require("./Card.FeaturedTitle");
var Card_Image_1 = require("./Card.Image");
var Card_Title_1 = require("./Card.Title");
var Card = Object.assign(Card_1.CardBase, {
    Divider: Card_Divider_1.CardDivider,
    Image: Card_Image_1.CardImage,
    Title: Card_Title_1.CardTitle,
    FeaturedTitle: Card_FeaturedTitle_1.CardFeaturedTitle,
    FeaturedSubtitle: Card_FeaturedSubtitle_1.CardFeaturedSubtitle,
});
exports.Card = Card;
