"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Chip = void 0;
var react_1 = __importDefault(require("react"));
var react_native_1 = require("react-native");
var Button_1 = require("../Button");
var Chip = function (_a) {
    var titleStyle = _a.titleStyle, buttonStyle = _a.buttonStyle, onPress = _a.onPress, rest = __rest(_a, ["titleStyle", "buttonStyle", "onPress"]);
    return (react_1.default.createElement(Button_1.Button, __assign({ titleStyle: react_native_1.StyleSheet.flatten([
            { fontSize: 14, paddingHorizontal: 2 },
            titleStyle,
        ]), radius: 30, buttonStyle: buttonStyle }, (onPress === undefined
        ? {
            TouchableComponent: react_native_1.TouchableWithoutFeedback,
        }
        : { onPress: onPress }), rest)));
};
exports.Chip = Chip;
exports.Chip.displayName = 'Chip';
