"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DialogActions = void 0;
var react_1 = __importDefault(require("react"));
var react_native_1 = require("react-native");
var DialogActions = function (_a) {
    var children = _a.children;
    return (react_1.default.createElement(react_native_1.View, { style: styles.actionsView, testID: "Button__View" }, children));
};
exports.DialogActions = DialogActions;
var styles = react_native_1.StyleSheet.create({
    actionsView: {
        marginTop: 10,
        flexDirection: 'row-reverse',
        justifyContent: 'flex-start',
        flexWrap: 'wrap',
    },
});
exports.DialogActions.displayName = 'Dialog.Actions';
