"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DialogTitle = void 0;
var react_1 = __importDefault(require("react"));
var react_native_1 = require("react-native");
var DialogTitle = function (_a) {
    var title = _a.title, titleStyle = _a.titleStyle, titleProps = _a.titleProps;
    return (react_1.default.createElement(react_native_1.Text, __assign({ style: react_native_1.StyleSheet.flatten([styles.title, titleStyle]), testID: "Dialog__Title" }, titleProps), title));
};
exports.DialogTitle = DialogTitle;
var styles = react_native_1.StyleSheet.create({
    title: {
        fontSize: 18,
        fontWeight: react_native_1.Platform.OS === 'ios' ? '600' : '700',
        marginBottom: 10,
    },
});
exports.DialogTitle.displayName = 'Dialog.Title';
