"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Children = void 0;
var react_1 = __importDefault(require("react"));
var react_native_1 = require("react-native");
var helpers_1 = require("../../helpers");
var Icon_1 = require("../../Icon");
var ALIGN_STYLE = {
    left: 'flex-start',
    right: 'flex-end',
    center: 'center',
};
var Children = function (_a) {
    var style = _a.style, placement = _a.placement, children = _a.children;
    return (react_1.default.createElement(react_native_1.View, { style: react_native_1.StyleSheet.flatten([{ alignItems: ALIGN_STYLE[placement] }, style]) }, children == null || children === false
        ? null
        : children.text
            ? (0, helpers_1.renderNode)(react_native_1.Text, children.text, __assign({ numberOfLines: 1 }, children))
            : children.icon
                ? (0, helpers_1.renderNode)(Icon_1.Icon, __assign(__assign({}, children), { name: children.icon, containerStyle: react_native_1.StyleSheet.flatten([
                        { alignItems: ALIGN_STYLE[placement] },
                        children.containerStyle,
                    ]) }))
                : (0, helpers_1.renderNode)(react_native_1.Text, children)));
};
exports.Children = Children;
