"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ListItemSubtitle = void 0;
var react_1 = __importDefault(require("react"));
var react_native_1 = require("react-native");
var Text_1 = require("../Text");
var ANDROID_SECONDARY = 'rgba(0, 0, 0, 0.54)';
var ListItemSubtitle = function (_a) {
    var style = _a.style, right = _a.right, children = _a.children, props = __rest(_a, ["style", "right", "children"]);
    return (react_1.default.createElement(Text_1.Text, __assign({ testID: "listItemTitle", style: react_native_1.StyleSheet.flatten([
            styles.subtitle,
            right && styles.rightSubtitle,
            style,
        ]) }, props), children));
};
exports.ListItemSubtitle = ListItemSubtitle;
var styles = react_native_1.StyleSheet.create({
    subtitle: __assign({ backgroundColor: 'transparent' }, react_native_1.Platform.select({
        ios: {
            fontSize: 15,
        },
        default: {
            fontSize: 14,
        },
    })),
    rightSubtitle: {
        color: ANDROID_SECONDARY,
    },
});
exports.ListItemSubtitle.displayName = 'ListItem.Subtitle';
