"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PricingButton = void 0;
var react_1 = __importDefault(require("react"));
var react_native_1 = require("react-native");
var Button_1 = require("../../Button");
var helpers_1 = require("../../helpers");
var Icon_1 = require("../../Icon");
var PricingButton = function (_a) {
    var title = _a.title, buttonStyle = _a.buttonStyle, color = _a.color, titleStyle = _a.titleStyle, onButtonPress = _a.onButtonPress, icon = _a.icon, _b = _a.theme, theme = _b === void 0 ? helpers_1.defaultTheme : _b, buttonProps = __rest(_a, ["title", "buttonStyle", "color", "titleStyle", "onButtonPress", "icon", "theme"]);
    return (react_1.default.createElement(Button_1.Button, __assign({ testID: "RNE__PricingButton", title: title, buttonStyle: react_native_1.StyleSheet.flatten([
            styles.button,
            buttonStyle,
            { backgroundColor: theme.colors[color] || color },
        ]), titleStyle: titleStyle, onPress: onButtonPress, icon: react_1.default.isValidElement(icon) ? (icon) : typeof icon === 'string' ? (react_1.default.createElement(Icon_1.Icon, { name: icon, size: 15, color: "white" })) : (react_1.default.createElement(Icon_1.Icon, __assign({}, icon))) }, buttonProps)));
};
exports.PricingButton = PricingButton;
var styles = react_native_1.StyleSheet.create({
    button: {
        marginTop: 15,
        marginBottom: 10,
    },
});
