"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var react_native_1 = require("react-native");
var Triangle = function (_a) {
    var style = _a.style, pointerColor = _a.pointerColor, isDown = _a.isDown;
    return (react_1.default.createElement(react_native_1.View, { testID: "RNE__Tooltip_Triangle", style: react_native_1.StyleSheet.flatten([
            styles.triangle,
            {
                borderBottomColor: pointerColor,
            },
            style,
            isDown ? styles.down : {},
        ]) }));
};
var styles = react_native_1.StyleSheet.create({
    down: {
        transform: [{ rotate: '180deg' }],
    },
    triangle: {
        width: 0,
        height: 0,
        backgroundColor: 'transparent',
        borderStyle: 'solid',
        borderLeftWidth: 8,
        borderRightWidth: 8,
        borderBottomWidth: 15,
        borderLeftColor: 'transparent',
        borderRightColor: 'transparent',
        borderBottomColor: 'white',
    },
});
exports.default = react_1.default.memo(Triangle);
