"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.makeStyles = exports.fonts = exports.BackgroundImage = exports.registerCustomIconType = exports.getBehaviorType = exports.color = exports.darkColors = exports.lightColors = exports.isIOS = exports.ScreenHeight = exports.ScreenWidth = exports.normalizeText = exports.getIconType = exports.renderNode = exports.patchWebProps = exports.androidRipple = exports.defaultTheme = exports.defaultSpacing = void 0;
var react_native_1 = require("react-native");
var color_1 = __importDefault(require("color"));
exports.color = color_1.default;
var renderNode_1 = __importDefault(require("./renderNode"));
exports.renderNode = renderNode_1.default;
var getIconType_1 = __importStar(require("./getIconType"));
exports.getIconType = getIconType_1.default;
Object.defineProperty(exports, "registerCustomIconType", { enumerable: true, get: function () { return getIconType_1.registerCustomIconType; } });
var normalizeText_1 = __importDefault(require("./normalizeText"));
exports.normalizeText = normalizeText_1.default;
var colors_1 = require("./colors");
Object.defineProperty(exports, "lightColors", { enumerable: true, get: function () { return colors_1.lightColors; } });
Object.defineProperty(exports, "darkColors", { enumerable: true, get: function () { return colors_1.darkColors; } });
var Screen = react_native_1.Dimensions.get('window');
var ScreenWidth = Screen.width;
exports.ScreenWidth = ScreenWidth;
var ScreenHeight = Screen.height;
exports.ScreenHeight = ScreenHeight;
var isIOS = react_native_1.Platform.OS === 'ios';
exports.isIOS = isIOS;
var getBehaviorType = react_native_1.Platform.OS === 'ios' ? 'padding' : 'height';
exports.getBehaviorType = getBehaviorType;
exports.defaultSpacing = { xs: 2, sm: 4, md: 8, lg: 12, xl: 24 };
exports.defaultTheme = {
    colors: colors_1.lightColors,
    spacing: exports.defaultSpacing,
};
var androidRipple = function (rippleColor) {
    return {
        borderless: false,
        color: rippleColor,
        radius: -5,
    };
};
exports.androidRipple = androidRipple;
var patchWebProps = function (_a) {
    var updateTheme = _a.updateTheme, replaceTheme = _a.replaceTheme, onClear = _a.onClear, rest = __rest(_a, ["updateTheme", "replaceTheme", "onClear"]);
    return rest;
};
exports.patchWebProps = patchWebProps;
var BackgroundImage_1 = require("./BackgroundImage");
Object.defineProperty(exports, "BackgroundImage", { enumerable: true, get: function () { return __importDefault(BackgroundImage_1).default; } });
var fonts_1 = require("./fonts");
Object.defineProperty(exports, "fonts", { enumerable: true, get: function () { return __importDefault(fonts_1).default; } });
var makeStyles_1 = require("./makeStyles");
Object.defineProperty(exports, "makeStyles", { enumerable: true, get: function () { return makeStyles_1.makeStyles; } });
