"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var renderNode = function (Component, content, defaultProps) {
    if (defaultProps === void 0) { defaultProps = {}; }
    if (content == null || content === false) {
        return null;
    }
    if (react_1.default.isValidElement(content)) {
        return content;
    }
    if (typeof content === 'function') {
        return content();
    }
    if (content === true) {
        return react_1.default.createElement(Component, __assign({}, defaultProps));
    }
    if (typeof content === 'string') {
        if (content.length === 0) {
            return null;
        }
        return react_1.default.createElement(Component, __assign({}, defaultProps), content);
    }
    if (typeof content === 'number') {
        return react_1.default.createElement(Component, __assign({}, defaultProps), content);
    }
    return react_1.default.createElement(Component, __assign({}, defaultProps, content));
};
exports.default = renderNode;
